dpkg-maintscript-helper: prepare_dir_to_symlink can never succeed

Bug #1574285 reported by Schiggn on 2016-04-24
48
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dpkg (Debian)
Fix Released
Unknown
dpkg (Ubuntu)
High
Unassigned
Trusty
Undecided
Adam Conrad
Xenial
High
Unassigned
Yakkety
High
Unassigned
libreoffice (Ubuntu)
High
Unassigned
Trusty
Undecided
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
ubuntu-release-upgrader (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned

Bug Description

This bug was showing while do-release-upgrade -p on an Xubuntu14.04 install -> Xenial

SRU INFORMATION
===============
- Fix: http://anonscm.debian.org/cgit/dpkg/dpkg.git/commit/?id=ca5c108

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: libreoffice-gtk 1:4.2.8-0ubuntu4
ProcVersionSignature: Ubuntu 3.13.0-85.129-generic 3.13.11-ckt36
Uname: Linux 3.13.0-85-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: amd64
Date: Sun Apr 24 16:32:06 2016
DuplicateSignature: package:libreoffice-gtk:1:4.2.8-0ubuntu4:Unterprozess neues pre-installation-Skript gab den Fehlerwert 1 zurück
ErrorMessage: Unterprozess neues pre-installation-Skript gab den Fehlerwert 1 zurück
InstallationDate: Installed on 2014-10-18 (553 days ago)
InstallationMedia: Xubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140723)
RelatedPackageVersions:
 dpkg 1.17.5ubuntu5.5
 apt 1.0.1ubuntu2.13
SourcePackage: libreoffice
Title: package libreoffice-gtk 1:4.2.8-0ubuntu4 failed to install/upgrade: Unterprozess neues pre-installation-Skript gab den Fehlerwert 1 zurück
UpgradeStatus: Upgraded to xenial on 2016-04-24 (0 days ago)

Schiggn (koffeinfriedhof) wrote :
tags: removed: need-duplicate-check
summary: - package libreoffice-gtk 1:4.2.8-0ubuntu4 failed to install/upgrade:
- Unterprozess neues pre-installation-Skript gab den Fehlerwert 1 zurück
+ dpkg-maintscript-helper: prepare_dir_to_symlink can never succeed
Martin Pitt (pitti) on 2016-04-25
description: updated
Changed in dpkg (Ubuntu Yakkety):
status: New → Triaged
Changed in dpkg (Ubuntu Xenial):
status: New → Triaged
status: Triaged → Incomplete
Changed in dpkg (Debian):
status: Unknown → Fix Released
Changed in dpkg (Ubuntu Xenial):
status: Incomplete → Confirmed
Changed in dpkg (Ubuntu Yakkety):
status: Triaged → Confirmed
Changed in libreoffice (Ubuntu Xenial):
status: New → Confirmed
Changed in libreoffice (Ubuntu Yakkety):
status: New → Confirmed
Changed in libreoffice (Ubuntu Xenial):
importance: Undecided → High
Changed in libreoffice (Ubuntu Yakkety):
importance: Undecided → High
Changed in dpkg (Ubuntu Xenial):
importance: Undecided → High
Changed in dpkg (Ubuntu Yakkety):
importance: Undecided → High
Adam Conrad (adconrad) on 2016-04-25
Changed in dpkg (Ubuntu Xenial):
status: Confirmed → Fix Released
Changed in dpkg (Ubuntu Yakkety):
status: Confirmed → Fix Released
Martin Pitt (pitti) on 2016-04-25
description: updated
Adam Conrad (adconrad) on 2016-04-25
Changed in dpkg (Ubuntu Trusty):
assignee: nobody → Adam Conrad (adconrad)

Hello Schiggn, or anyone else affected,

Accepted dpkg into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/dpkg/1.17.5ubuntu5.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in dpkg (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Adam Conrad (adconrad) wrote :

For those following along at home, I discovered while reproducing the bug and verifying the fix that this only happens if /bin/sh is bash, which is likely why very few people are running into it (our default shell is dash).

At any rate, verified that the dpkg in -proposed fixes the issue.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dpkg - 1.17.5ubuntu5.6

---------------
dpkg (1.17.5ubuntu5.6) trusty; urgency=medium

  * dpkg-maintscript-helper: s/exit/return/ in subshells (LP: #1574285)

 -- Adam Conrad <email address hidden> Mon, 25 Apr 2016 12:44:01 -0600

Changed in dpkg (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for dpkg has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Schiggn, or anyone else affected,

Accepted ubuntu-release-upgrader into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:16.04.14 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-release-upgrader (Ubuntu Xenial):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
no longer affects: ubuntu-release-upgrader (Ubuntu Trusty)
Brian Murray (brian-murray) wrote :

I tested this using the proposed version of ubuntu-release-upgrader from Xenial and when I had dpkg version 1.17.5ubuntu5.5 installed I was not allowed to start the upgrade process. Once I installed the proper version of dpkg the upgrade to Xenial was allowed to proceed.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:16.04.14

---------------
ubuntu-release-upgrader (1:16.04.14) xenial; urgency=medium

  [ Steve Langasek ]
  * No-change rebuild to pick up translations from Launchpad (including the
    Greek translations, which had been accidentally dropped in the previous
    upload due to a collision with the importer).

  [ Brian Murray ]
  * Ensure that the system being upgraded has the version of apt which fixes
    LP: #1560797 installed and that 14.04 systems have the version of dpkg
    which fixes LP: #1574285 installed.

 -- Brian Murray <email address hidden> Mon, 25 Apr 2016 15:01:58 -0700

Changed in ubuntu-release-upgrader (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:16.10.1

---------------
ubuntu-release-upgrader (1:16.10.1) yakkety; urgency=medium

  * DistUpgrade/{EOL,}ReleaseAnnouncement,
    DistUpgrade/DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    pre-build.sh:
    - updated for 16.04 -> 16.10
  * tests/test_country_mirror.py: modify how the LANG environment variable was
    being modified there by fixing a test failure in test_sources_list.py.

 -- Brian Murray <email address hidden> Tue, 03 May 2016 08:54:38 -0700

Changed in ubuntu-release-upgrader (Ubuntu Yakkety):
status: New → Fix Released

Im confused: Anything to be done on the LibreOffice side of things for this still? Or can the status for LibreOffice be set to "Fix released" or something similar?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.